aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'test/mocks/emerge')
-rwxr-xr-xtest/mocks/emerge14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/mocks/emerge b/test/mocks/emerge
new file mode 100755
index 0000000..ef1fc1b
--- /dev/null
+++ b/test/mocks/emerge
@@ -0,0 +1,14 @@
+#! /bin/bash
+# Copyright (C) 2017 Sebastian Pipping <sebastian@pipping.org>
+# Licensed under the 3-Clause BSD license
+
+set -e
+
+if [[ "$*" == '--sync' ]]; then
+ :
+elif [[ "$*" == '--deep --update --quiet --pretend world' ]]; then
+ cat test/data/emerge-deep-update-pretend-output.txt
+else
+ echo "ERROR: Unsupported invocation: $0 $*" >&2
+ exit 1
+fi